in

Canonical lança nova atualização de segurança do kernel para Ubuntu 18.04 e 16.04 LTS

Mais uma atualização acaba de sair.

Canonical lança nova atualização de segurança do kernel para Ubuntu 18.04 e 16.04 LTS

E a onda de atualizações do Kernel não acaba. A Canonical lança nova atualização de segurança do kernel do Linux para Ubuntu 18.04 e 16.04 LTS. Desta vez, novas vulnerabilidades de segurança foram resolvidas.

Afetando o kernel Linux 4.15 usado nos sistemas Ubuntu 18.04 LTS (Bionic Beaver) e Ubuntu 16.04.6 LTS (Xenial Xerus), o novo patch de segurança corrigiu uma atenuação de Spectre implementada incorretamente no sistema ptrace (CVE-2019-15902), que pode permitir que um invasor local exponha informações confidenciais.

Canonical lança nova atualização de segurança do kernel para Ubuntu 18.04 e 16.04 LTS

Canonical lança nova atualização de segurança do kernel para Ubuntu 18.04 e 16.04 LTS

Ele também aborda um buffer overread (CVE-2019-15918) descobriu que a implementação do sistema de arquivos de rede SMB, que pode permitir que um invasor exponha informações confidenciais (memória do kernel), duas falhas (CVE-2019-15117 e CVE-2019-15118) descoberto no driver de áudio USB que pode permitir que um invasor fisicamente próximo trate o sistema e uma falha (CVE-2019-14821) na implementação do hipervisor KVM que permite que um invasor local trate o sistema.

Várias vulnerabilidades também foram corrigidas no driver Wi-Fi RSI 91x do kernel Linux (CVE-2018-21008), permitindo que um fisicamente próximo travasse o sistema ou executasse código arbitrário, o driver de dispositivo Marvell Wi-Fi (CVE-2019-14814CVE -2019-14815CVE-2019-14816), permitindo que um invasor local trava o sistema ou execute código arbitrário ou o driver de dispositivo USB Technisat DVB-S / S2 (CVE-2019-15505), permitindo que um invasor fisicamente próximo expor informações confidenciais ou travar o sistema.

Problemas que afetam o kernel Linux 4.4 do Ubuntu 16.04 LTS

Afetando o kernel Linux 4.4 usado nos sistemas Ubuntu 16.04 LTS (Xenial Xerus), a nova atualização de segurança aborda muitos dos problemas acima, bem como duas condições de corrida (CVE-2016-10906 e CVE-2017-18232) descobertas no ARC O driver Ethernet EMAC e a implementação Serial Attached SCSI (SAS), permitindo que um invasor local cause uma negação de serviço (falha do sistema ou conflito do kernel).

A Canonical pede que os usuários dos sistemas Ubuntu 18.04 LTS e Ubuntu 16.04.6 LTS executando o kernel Linux 4.15 atualizem suas instalações para linux-image 4.15.0-66.75 (64 bits) e usuários do Ubuntu 16.04 LTS executando o kernel Linux 4.4 para atualizar para linux-image 4.4.0-166.195 (64 bits). Para atualizar seus sistemas, siga as instruções fornecidas pela Canonical em https://wiki.ubuntu.com/Security/Upgrades e reinicie.

Fonte: Softpedia

 

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Saiba como acelerar os downloads do Steam

Saiba como acelerar os downloads do Steam

KDE Plasma 5.18 traz melhor integração de aplicativos GTK/GNOME

KDE Plasma 5.17.1 corrige erros da série